<div class="overlay fade" [class.show]="open">

    <div 
    #container
    [class]="'lightbox-image z-'+zoom">
        <!-- <img 
        class="fade"
        [class.show]="open"
        src="https://bnetcmsus-a.akamaihd.net/cms/content_entry_media/C9L0G336EJSC1589912849760.jpg"> -->

        <img 
        class="fade"
        [class.show]="open"
        (mousedown)="initDrag($event)"
        (mousemove)="moveDrag($event)"
        (mouseup)="endDrag()"
        (mouseleave)="endDrag()"
        [src]="!gallery ? src : gallery[current].src">

    </div>

    <header class="lightbox-header">
        <ul class="flex-list">
            <li (click)="goFullScreen()" *ngIf="!fs"><app-icon [className]="'icon-expand'"></app-icon></li>
            <li (click)="escFullScreen()" *ngIf="fs"><app-icon [className]="'icon-contract'"></app-icon></li>
            <li (click)="resize(1)" [class.disabled]="zoom===150"><app-icon [className]="'icon-search-plus'"></app-icon></li>
            <li (click)="resize(-1)" [class.disabled]="zoom===75"><app-icon [className]="'icon-search-minus'"></app-icon></li>
            <li class="close" (click)="close()"><app-icon [className]="'icon-close'"></app-icon></li>
        </ul>
    </header>

    <div class="lightbox-arrows" *ngIf="gallery">
        <div class="left" (click)="navigate(-1)"><app-icon [className]="'icon-angle-left'"></app-icon></div>
        <div class="right" (click)="navigate(1)"><app-icon [className]="'icon-angle-right'"></app-icon></div>
    </div>

    <footer class="lightbox-footer">

        <ul class="lightbox-dots flex-list" *ngIf="gallery">
            <li *ngFor="let g of gallery; index as i" class="dot" [class.active]="g.active" (click)="setActive(i)"></li>
        </ul>

        <div class="lightbox-caption">
            <h4>{{ !gallery ? title : gallery[current].title}}</h4>
            <p class="brief">{{ !gallery ? brief : gallery[current].brief }}</p>
        </div>
    </footer>

</div>
